[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCClient.SendMessage

Send a message to the server

## Declaration

Source position: simpleipc.pp line 151

`public procedure TSimpleIPCClient.SendMessage(`
`MsgType: TMessageType;`
`Stream: TStream`
`);`

## Arguments

`MsgType` |  | Message type
`Stream` |  | Message data.

## Description

SendMessage sends a message of type MsgType and data from stream to the server. The client must be connected for this call to work.

## Errors

In case an error occurs, or there is no connection to the server, an EIPCError exception is raised.

## See also

Connect |  | Connect to the server
SendStringMessage |  | Send a string message to the server

Documentation generated on: Feb 26 2014